Difference between revisions of "Template:Installation/Common"

From diaspora* project wiki
Jump to: navigation, search
(Add --with flag to bundler for develop)
m (Bundle)
Line 29: Line 29:
 
{{#tag:syntaxhighlight|
 
{{#tag:syntaxhighlight|
 
gem install bundler
 
gem install bundler
{{#var:env_string}} bin/bundle install {{#ifeq: {{#var:mode}}|production|--without test development|}} {{#ifeq: {{#var:mode}}|development|--with {#switch: {{#var:DB}}|mysql=mysql|postgres=postgresql|mariadb=mysql}}|}}
+
{{#var:env_string}} bin/bundle install {{#ifeq: {{#var:mode}}|production|--without test development|}} {{#ifeq: {{#var:mode}}|development|--with {{#switch: {{#var:DB}}|mysql=mysql|postgres=postgresql|mariadb=mysql}}|}}
 
|lang=bash}}
 
|lang=bash}}
  

Revision as of 02:37, 30 May 2015

Get the source

It's time to download Diaspora! As your diaspora user run:

cd ~
git clone  git://github.com/diaspora/diaspora.git
cd diaspora

Don't miss the cd diaspora, all coming commands expect to be run from that directory!

Configuration

Copy files

cp config/database.yml.example config/database.yml
cp config/diaspora.yml.example config/diaspora.yml



Bundle

It's time to install the Ruby libraries required by Diaspora:

gem install bundler
 bin/bundle install

This takes quite a while. You should get a green success message when it's finished, if that's not the case you should seek for help on the mailing list or the IRC channel. You can speed it up a bit adding -jn to the command, where n is the number of CPU cores you have available.

Running the manual gem install command shown in the error message can sometimes show a clearer error message if the bundle command fails.

Database setup

Double check your config/database.yml looks right and run:

 bin/rake db:create db:schema:load


Start Diaspora

It's time to start Diaspora:

./script/server


Further reading